ECONF_COMMENT_TAG(3)

NAME
econf_comment_tag - retrieve the comment tag character of a configuration file

SYNOPSIS

#include <libeconf.h>

char econf_comment_tag(const econf_file *key_file);

DESCRIPTION

The econf_comment_tag() function retrieves the comment character currently defined for the configuration file object pointed to by key_file.

In a typical INI-like configuration file, the comment character (e.g., “#” or “;”) denotes the start of a comment, where the rest of the line should be ignored during parsing.

The key_file parameter must be a pointer to a valid econf_file structure, usually obtained from functions like econf_readConfig(3) or econf_newKeyFile(3).

RETURN VALUE

On success, econf_comment_tag() returns the comment character used for the configuration file object.

ERRORS

This function does not return an explicit error code. Callers must ensure that key_file is valid before calling this function.

SEE ALSO

econf_set_comment_tag(3), econf_delimiter_tag(3), econf_readConfig(3), libeconf(3)